resource "aws_route53_record" "dns" {
  count = var.enabled ? 1 : 0

  name = var.name
  zone_id = var.dns_info["private"]["zone_id"]
  type = "CNAME"
  ttl  = 300
  records = var.target_dns_names
  provider = aws.c2
}
